kombu (4.0.2+really4.0.2+dfsg-2ubuntu1) artful; urgency=medium

  * Add d/patches/0002-dont-modfiy-dict-size-while-iterating-over-it.patch from
    upstream to fix build with Python 3.6. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 15 May 2017 12:16:30 +1200

kombu (4.0.2+really4.0.2+dfsg-2) experimental; urgency=medium

  [ Brian May ]
  * Add missing build depends on python-vine and python3-vine.
    Closes: #858540.

  [ Christopher Hoskin ]
  * Change package version to 4.0.2+really4.0.2+dfsg-2 after accidently
    uploading to unstable rather than experimental

 -- Christopher Hoskin <mans0954@debian.org>  Fri, 31 Mar 2017 09:12:12 +0100

kombu (4.0.2+dfsg-1) experimental; urgency=medium

  * Refresh patches after git-dpm to gbp pq conversion
  * Import new upstream release (4.0.2) 
  * Remove redundant patches 
  * Update build dependencies 
  * Add myself to Uploaders 
  * Update copyright file 
  * Add patch to remove image from remote donation site (privacy issue) 
  * Set http(s) proxys to localhost whilst building docs 
  * Remove nose from build dependencies (pytest now used) 
  * Remove nose from CI tests 

 -- Christopher Hoskin <mans0954@debian.org>  Tue, 21 Mar 2017 21:51:21 +0000

kombu (3.0.35+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix "Non-Free ICC profiles in images" add repack scripts to remove
    (Closes: #855502)
  * Remove all egg-info in debian/clean 
  * Add Artistic and GPL to debian/copyright for repack.stub 
  * Bump standards version from 3.9.7 to 3.9.8 (no change required) 

 -- Christopher Hoskin <mans0954@debian.org>  Sun, 19 Feb 2017 11:37:19 +0000

kombu (3.0.35-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Added missing build-depends-indep on python{3,}-funcsigs (Closes: #811477).

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Apr 2016 17:02:00 +0000

kombu (3.0.35-1) unstable; urgency=medium

  * New upstream release.

 -- Brian May <bam@debian.org>  Wed, 06 Apr 2016 13:08:03 +1000

kombu (3.0.33-1) unstable; urgency=medium

  * New upstream release.

 -- Brian May <bam@debian.org>  Tue, 19 Jan 2016 13:12:11 +1100

kombu (3.0.32-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Sat, 02 Jan 2016 16:57:52 +0100

kombu (3.0.30-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Mon, 07 Dec 2015 21:25:47 +1100

kombu (3.0.29-2) unstable; urgency=medium

  * Fix FTBS issues by applying upstream patch. Closes: #806334.

 -- Brian May <bam@debian.org>  Sun, 29 Nov 2015 09:34:41 +1100

kombu (3.0.29-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Thu, 19 Nov 2015 10:06:35 +1100

kombu (3.0.27-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compatibility and version to 9.

 -- Michael Fladischer <fladi@debian.org>  Mon, 12 Oct 2015 08:44:19 +0200

kombu (3.0.26-2) unstable; urgency=medium

  * Add fix_mock_tests.patch to fix assertions usage in redis tests
    (Closes: #796438).
  * Update Homepage field (Closes: #770476).

 -- Michael Fladischer <fladi@debian.org>  Wed, 24 Jun 2015 10:56:18 +0200

kombu (3.0.26-1) unstable; urgency=medium

  * New upstream release.
  * Format packaging code with wrap-and-sort.
  * Add versioned Depends and Build-Depends on python-amqp and python3-
    amqp for (>= 1.4.6).
  * Remove unnecessary or nonexistant packages from Depends and Build-Depends.
     - python3-sphinx
     - python3-couchdb
     - python3-beanstalkc
     - python3-pika
     - python3-pymongo (no versioned dependency)
  * Fix path for couchdb.py transport file in d/copyright and add author
    email.
  * Drop XS-Testsuite as dpkg can now do autodetection.
  * Format lines in d/control for easier reading.
  * Bump Standards-Version to 3.9.6.
  * Add fix_test_pymongo_uri_options.patch to fix pymongo URI related
    test.
  * Provide unique short and long description for python3-kombu.
  * Set minimum Python3 version to >= 3.3.
  * Set minimum Python version to >= 2.7.
  * Change my email address to fladi@debian.org.

 -- Michael Fladischer <fladi@debian.org>  Tue, 19 May 2015 12:09:41 +0200

kombu (3.0.21-2) unstable; urgency=low

  * Python3 package. Closes: #754047.
  * New upstream release. Closes: #757691.
  * Remove recommends/build-depends on python-librabbitmq as it is still
    broken.

 -- Brian May <bam@debian.org>  Mon, 11 Aug 2014 11:56:03 +1000

kombu (3.0.19-3) unstable; urgency=low

  * Add python-librabbitmq (>= 1.5.2) to Recommends as a optional faster
    transport than python-amqp.
  * Add python-librabbitmq (>= 1.5.2) to Build-Depends to enable additional
    tests during build.
  * Drop versioned dependencies on python-amqp as there are no older releases
    in the archive.
  * Run wrap-and-sort on the packaging code.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Sat, 09 Aug 2014 16:33:05 +0200

kombu (3.0.19-2) unstable; urgency=medium

  [ Michael Fladischer ]
  * Fix output redirection for nose tests used in autopkgtest (see #460242).

  [ Brian May ]
  * Remove depends on python-librabbitmq, as python-librabbitmq is broken
    (see #747270). python-amqp should be sufficient.

 -- Brian May <bam@debian.org>  Tue, 22 Jul 2014 15:20:26 +1000

kombu (3.0.19-1) unstable; urgency=low

  * New upstream release.
  * Add autopkgtest that runs the upstream test suite against the installed
    package.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 23 Jun 2014 10:30:21 +0200

kombu (3.0.15-1) unstable; urgency=low

  * New upstream release.
  * Update Dependencies on python-amqp to (>= 1.4.5).
  * Add python-redis to Build-Depends to allow tests for the redis transport
    to run and add it to Suggests to for anyone who uses it as a transport.
  * Add python-msgpack to Build-Depends in order to enable further tests.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 23 Apr 2014 14:13:53 +0200

kombu (3.0.14-1) unstable; urgency=low

  * New upstream release.
  * Make Depends and Build-Depends on python-pymongo versioned (>=
    2.6.2), thanks to Benjamin Drung.
  * Check PGP signature on upstream tarball:
    + Add signature URL to debian/watch.
    + Include upstream public PGP key 030A2708.
    + Allow debian/upstream-signing-key.pgp to be included as a binary.
  * Add patch to remove usage of remote-hosted images in documentation.
  * Remove .PHONY declarations from debian/rules.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Thu, 10 Apr 2014 13:14:55 +0200

kombu (3.0.12-1) unstable; urgency=medium

  * New upstream release.
  * Refresh remove_nose-cover3.patch.
  * Drop remove_nose-cover3.patch, no longer needed.
  * Bump Build-Depends and Depends on python-ampq to >= 1.4.3.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Tue, 11 Feb 2014 11:10:49 +0100

kombu (3.0.7-1) unstable; urgency=low

  * New upstream release.
  * No longer supports python 2.5, reflect in X-Python-Version.
  * Bump Standards version to 3.9.5.
  * Bump Depends and Build-Depends on python-amqp to >= 1.3.3.
  * Bump upper version limit for Build-Depends on python-amqp to (<<
    2.0).
  * Refresh patch.
  * README was renamed to README.rst.
  * Add kombu.egg-info/requires.txt do debian/clean.
  * Make Build-Depends on python-all and python-pika unversioned as no
    prior versions are available in Wheezy.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 11 Dec 2013 11:22:10 +0100

kombu (2.5.15-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 07 Oct 2013 11:40:35 +0200

kombu (2.5.14-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper Build-Depends to >= 8.1.0~.
  * Bump Standards version to 3.9.4.
  * Bump Depends and Build-Depends on python-amqp to >= 1.0.13.
  * Add python-librabbitmq to Build-Depends and Depends as the preferred
    alternative to python-amqp.
  * Add python-beanstalkc to Build-Depends and Suggests.
  * Drop temporary workaround for Metadata-Version in d/rules.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 02 Sep 2013 19:40:58 +0200

kombu (2.5.12-1) unstable; urgency=low

  [ Thomas Goirand ]
  * Team upload.
  * New upstream release.
  * Now depending on new python-amqp instead of python-amqplib.

  [ Jakub Wilk <jwilk@debian.org> ]
  * Use canonical URIs for Vcs-* fields.

  [ Michael Fladischer <FladischerMichael@fladi.at> ]
  * Bump dependency on python-anyjson to >= 0.3.3.
  * Refresh patches.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Jun 2013 09:32:47 +0000

kombu (2.1.8-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 23 Apr 2012 15:20:01 +0200

kombu (2.1.2-1) unstable; urgency=low

  * New upstream release.
  * Update years in d/copyright.
  * Bump to standards version 3.9.3.
  * Update DEP-5 URL to 1.0.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Tue, 27 Mar 2012 16:54:58 +0100

kombu (2.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #611895).
  * Add python-pika, python-sqlalchemy and python-django to Suggests/B-D
    because of new transports.
  * Increase X-Python-Version because python 2.4 is not longer supported
    by upstream in 2.x releases.
  * Add python-mock to B-D because tests require it.
  * Make Metadata-Version fix more generic.
  * Change order of my name.
  * Update patch.
  * Add NEWS file to inform about backwards-incompatible changes to transports.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 22 Feb 2012 15:11:14 +0200

kombu (1.4.3-1) unstable; urgency=low

  [ Fladischer Michael ]
  * New upstream release.
  * Temporary fix for Metadata-Version in PKG-INFO.

  [ Jakub Wilk ]
  * Bump minimum required python-sphinx version to 1.0.7+dfsg.

  [ Fladischer Michael ]
  * Fix whitespace in versioned dependencies.

 -- Fladischer Michael <FladischerMichael@fladi.at>  Thu, 17 Nov 2011 10:56:00 +0100

kombu (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Depend on python-anyjson (>=0.3.1), therefor no longer recommend
    python-simplejson.
  * Remove ${python:Breaks} as dh_python2 no longer needs it.
  * Bumped Standards-Version to 3.9.2 (no change necessary).
  * Add version to Breaks: python-cjson (<= 1.0.5-4+b1).
  * Add python-boto to dependencies.
  * Clean up after build.
  * Use dh_sphinxdoc.

 -- Fladischer Michael <FladischerMichael@fladi.at>  Mon, 05 Sep 2011 23:18:16 +0200

kombu (1.0.4-1) unstable; urgency=low

  * Initial release (Closes: #611809)

 -- Fladischer Michael <FladischerMichael@fladi.at>  Mon, 07 Mar 2011 12:53:13 +0200
